Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.logging.log4j.core
Class AbstractLifeCycle

    java.lang.Object
      org.apache.logging.log4j.core.AbstractLifeCycle

All Implemented Interfaces:
  Serializable, LifeCycle

Direct Known Subclasses:
  AbstractFilter, AbstractFilterable, CompositeFilter, LoggerContext

    public class AbstractLifeCycle

extends Object
implements LifeCycle, Serializable

A life cycle to be extended.

Wraps a `LifeCycle.State`.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface org.apache.logging.log4j.core.LifeCycle
`LifeCycle.State`

Field Summary
`protected static org.apache.logging.log4j.Logger` | `LOGGER` Allow subclasses access to the status logger without creating another instance.

Constructor Summary
`AbstractLifeCycle()`

Method Summary
`protected boolean` | `equalsImpl(Object obj)`
`LifeCycle.State` | `getState()` Gets the life-cycle state
`protected int` | `hashCodeImpl()`
`boolean` | `isInitialized()`
`boolean` | `isStarted()`
`boolean` | `isStarting()`
`boolean` | `isStopped()`
`boolean` | `isStopping()`
`protected void` | `setStarted()`
`protected void` | `setStarting()`
`protected void` | `setState(LifeCycle.State newState)`
`protected void` | `setStopped()`
`protected void` | `setStopping()`
`void` | `start()`
`void` | `stop()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LOGGER

    protected static final org.apache.logging.log4j.Logger LOGGER

  Allow subclasses access to the status logger without creating another instance.

Constructor Detail

### AbstractLifeCycle

    public AbstractLifeCycle()

Method Detail

### equalsImpl

    protected boolean equalsImpl(Object obj)

### getState

    public LifeCycle.State getState()

  Description copied from interface: `LifeCycle`
  Gets the life-cycle state

  Specified by:
    `getState` in interface `LifeCycle`
  Returns:
    the life-cycle state

### hashCodeImpl

    protected int hashCodeImpl()

### isInitialized

    public boolean isInitialized()

### isStarted

    public boolean isStarted()

  Specified by:
    `isStarted` in interface `LifeCycle`

### isStarting

    public boolean isStarting()

### isStopped

    public boolean isStopped()

  Specified by:
    `isStopped` in interface `LifeCycle`

### isStopping

    public boolean isStopping()

### setStarted

    protected void setStarted()

### setStarting

    protected void setStarting()

### setState

    protected void setState(LifeCycle.State newState)

### setStopped

    protected void setStopped()

### setStopping

    protected void setStopping()

### start

    public void start()

  Specified by:
    `start` in interface `LifeCycle`

### stop

    public void stop()

  Specified by:
    `stop` in interface `LifeCycle`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2015 Apache Software Foundation. All Rights Reserved.
Apache Logging, Apache Log4j, Log4j, Apache, the Apache feather logo, the Apache Logging project logo, and the Apache Log4j logo are trademarks of The Apache Software Foundation.